//----------------------------------------------------------------------------
// Meter.hpp - bcbdcc32 generated hdr (DO NOT EDIT) rev: 0
// From: Meter.pas
//----------------------------------------------------------------------------
#ifndef MeterHPP
#define MeterHPP
//----------------------------------------------------------------------------
#include <DsgnIntf.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <Forms.hpp>
#include <Controls.hpp>
#include <Graphics.hpp>
#include <Classes.hpp>
#include <Messages.hpp>
#include <Windows.hpp>
#include <SysUtils.hpp>
#include <System.hpp>
namespace Meter
{
//-- type declarations -------------------------------------------------------
enum TMeterLayout { mlCirc90, mlCirc120, mlCirc180 };

enum TFrameStyle { fsNone, fsSimple, fsLowered, fsRaised, fsEmbossed, fsEngraved };

enum TColorScheme { csBWG, csSytem };

typedef SmallString<10>  TLabelStr;

class __declspec(delphiclass) TNeedleLayout;
class __declspec(pascalimplementation) TNeedleLayout : public Classes::TPersistent
{
	typedef Classes::TPersistent inherited;
	
private:
	bool FAnchorCovrd;
	Graphics::TColor FColorFill;
	Graphics::TColor FColorLine;
	int FSize1;
	int FSizeAnchor;
	int FThickness;
	int FAngle1;
	int FBackShift1;
	int FShadowDx;
	int FShadowDy;
	Graphics::TColor FShadowColor;
	Classes::TNotifyEvent FOnChange;
	void __fastcall SetAnchorCovrd(bool p0);
	void __fastcall SetArrowSize1(int p0);
	void __fastcall SetArrowSizeAnchor(int p0);
	void __fastcall SetBackShift1(int p0);
	void __fastcall SetArrowThick(int p0);
	void __fastcall SetArrowAngle1(int p0);
	void __fastcall SetColorFill(Graphics::TColor p0);
	void __fastcall SetColorLine(Graphics::TColor p0);
	void __fastcall SetShadowDx(int p0);
	void __fastcall SetShadowDy(int p0);
	void __fastcall SetShadowColor(Graphics::TColor p0);
	
public:
	void __fastcall Changed(void);
	
__published:
	__property int HeadSize = {read=FSize1, write=SetArrowSize1, nodefault};
	__property int HeadAngle = {read=FAngle1, write=SetArrowAngle1, nodefault};
	__property int HeadMidLeng = {read=FBackShift1, write=SetBackShift1, nodefault};
	__property int AnchorSize = {read=FSizeAnchor, write=SetArrowSizeAnchor, nodefault};
	__property bool AnchorCovered = {read=FAnchorCovrd, write=SetAnchorCovrd, nodefault};
	__property int Thickness = {read=FThickness, write=SetArrowThick, nodefault};
	__property Graphics::TColor ColorBody = {read=FColorFill, write=SetColorFill, nodefault};
	__property Graphics::TColor ColorOutline = {read=FColorLine, write=SetColorLine, nodefault};
	__property int ShadowDx = {read=FShadowDx, write=SetShadowDx, nodefault};
	__property int ShadowDy = {read=FShadowDy, write=SetShadowDy, nodefault};
	__property Graphics::TColor ShadowColor = {read=FShadowColor, write=SetShadowColor, nodefault};
	__property Classes::TNotifyEvent OnChange = {read=FOnChange, write=FOnChange};
public:
	/* TObject.Create */ __fastcall TNeedleLayout(void) : Classes::TPersistent() { }
	/* TObject.Destroy */ __fastcall virtual ~TNeedleLayout(void) { }
	
};

class __declspec(delphiclass) TMeter;
class __declspec(pascalimplementation) TMeter : public Controls::TGraphicControl
{
	typedef Controls::TGraphicControl inherited;
	
private:
	bool FLimWatHighOn;
	bool FLimWatLowOn;
	Graphics::TColor FLimWatActCol;
	Graphics::TColor FLimWatPsvCol;
	bool FOFL;
	bool FUFL;
	Graphics::TColor FColorScale;
	TLabelStr FCaption;
	TFrameStyle FFrameStyle;
	int FDecPlaces;
	int FNrTicks;
	int FBRim;
	int FSRim;
	int FTRim;
	bool FShortTicks;
	bool FScaleLine;
	Graphics::TColor FColorBakG;
	Graphics::TColor FColorCover;
	Graphics::TColor FColBlackLine;
	Graphics::TColor FColGrayLine;
	Graphics::TColor FColWhiteLine;
	TColorScheme FColorScheme;
	TNeedleLayout* FNeedleLayout;
	TMeterLayout FMeterLayout;
	double FValue;
	double FMinValue;
	double FMaxValue;
	void __fastcall SetColorScale(Graphics::TColor p0);
	void __fastcall SetColorBakG(Graphics::TColor p0);
	void __fastcall SetColorCover(Graphics::TColor p0);
	void __fastcall SetColorScheme(TColorScheme p0);
	void __fastcall SetFrameStyle(TFrameStyle p0);
	void __fastcall SetDecPlaces(int p0);
	void __fastcall SetNrTicks(int p0);
	void __fastcall SetBRim(int p0);
	void __fastcall SetTRim(int p0);
	void __fastcall SetSRim(int p0);
	void __fastcall SetValue(double p0);
	void __fastcall SetMeterLayout(TMeterLayout p0);
	void __fastcall SetMinValue(double p0);
	void __fastcall SetMaxValue(double p0);
	void __fastcall SetLimWatHighOn(bool p0);
	void __fastcall SetLimWatLowOn(bool p0);
	void __fastcall SetLimWatActCol(Graphics::TColor p0);
	void __fastcall SetLimWatPsvCol(Graphics::TColor p0);
	void __fastcall SetNeedleLayout(TNeedleLayout* p0);
	void __fastcall SetShortTicks(bool p0);
	void __fastcall SetScaleLine(bool p0);
	void __fastcall SetUnitLabel( TLabelStr &p0);
	int __fastcall CalcM(int p0, double p1, double p2);
	
protected:
	virtual void __fastcall Paint(void);
	void __fastcall StyleChanged(System::TObject* p0);
	virtual void __fastcall Loaded(void);
	
public:
	__fastcall virtual TMeter(Classes::TComponent* p0);
	__fastcall virtual ~TMeter(void);
	
__published:
	__property Align ;
	__property TLabelStr Caption = {read=FCaption, write=SetUnitLabel};
	__property Graphics::TColor ColorBakG = {read=FColorBakG, write=SetColorBakG, nodefault};
	__property Graphics::TColor ColorCover = {read=FColorCover, write=SetColorCover, nodefault};
	__property Graphics::TColor ColorScale = {read=FColorScale, write=SetColorScale, nodefault};
	__property TColorScheme ColorScheme = {read=FColorScheme, write=SetColorScheme, nodefault};
	__property Font ;
	__property TFrameStyle FrameStyle = {read=FFrameStyle, write=SetFrameStyle, nodefault};
	__property Hint ;
	__property bool LimWatchHighOn = {read=FLimWatHighOn, write=SetLimWatHighOn, nodefault};
	__property bool LimWatchLowOn = {read=FLimWatLowOn, write=SetLimWatLowOn, nodefault};
	__property Graphics::TColor LimWatchActColor = {read=FLimWatActCol, write=SetLimWatActCol, nodefault
		};
	__property Graphics::TColor LimWatchPsvColor = {read=FLimWatPsvCol, write=SetLimWatPsvCol, nodefault
		};
	__property double MeterMinValue = {read=FMinValue, write=SetMinValue};
	__property double MeterMaxValue = {read=FMaxValue, write=SetMaxValue};
	__property int MeterDecPlaces = {read=FDecPlaces, write=SetDecPlaces, nodefault};
	__property int MeterNrTicks = {read=FNrTicks, write=SetNrTicks, nodefault};
	__property TMeterLayout MeterLayout = {read=FMeterLayout, write=SetMeterLayout, nodefault};
	__property bool MeterShortTicks = {read=FShortTicks, write=SetShortTicks, nodefault};
	__property bool MeterScaleLine = {read=FScaleLine, write=SetScaleLine, nodefault};
	__property TNeedleLayout* NeedleLayout = {read=FNeedleLayout, write=SetNeedleLayout, nodefault};
	__property ParentFont ;
	__property ParentShowHint ;
	__property int RimBottom = {read=FBRim, write=SetBRim, nodefault};
	__property int RimTop = {read=FTRim, write=SetTRim, nodefault};
	__property int RimSide = {read=FSRim, write=SetSRim, nodefault};
	__property ShowHint ;
	__property double Value = {read=FValue, write=SetValue};
	__property Visible ;
	__property OnClick ;
	__property OnDblClick ;
	__property OnMouseMove ;
	__property OnMouseDown ;
	__property OnMouseUp ;
};

//-- var, const, procedure ---------------------------------------------------
extern void __fastcall Register(void);
//-- template instantiations -------------------------------------------------
template class SmallString<10> ;

}	/* namespace Meter */
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace Meter;
#endif
//-- end unit ----------------------------------------------------------------
#endif	// Meter
